Can anyone confirm if some of the newer/latest palm pre plus' (on AT&T, specifically) are shipping with 1.4.5? I got mine last year and it was 1.4.2 (or 3?) out of the box, but was immediately upgradable to 1.4.5. A friend of mine recently got an AT&T pre plus (brand new) which already had 1.4.5 out of the box.